Show / Hide Table of Contents

# Struct Style

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: imnodesNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct Style

### Fields

| Improve this Doc View Source

#### colors

##### Declaration

    public uint *colors

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### flags

##### Declaration

    public StyleFlags flags

##### Field Value

Type | Description
--- | ---
StyleFlags |

| Improve this Doc View Source

#### grid_spacing

##### Declaration

    public float grid_spacing

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### link_hover_distance

##### Declaration

    public float link_hover_distance

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### link_line_segments_per_length

##### Declaration

    public float link_line_segments_per_length

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### link_thickness

##### Declaration

    public float link_thickness

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### node_border_thickness

##### Declaration

    public float node_border_thickness

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### node_corner_rounding

##### Declaration

    public float node_corner_rounding

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### node_padding_horizontal

##### Declaration

    public float node_padding_horizontal

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### node_padding_vertical

##### Declaration

    public float node_padding_vertical

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_circle_radius

##### Declaration

    public float pin_circle_radius

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_hover_radius

##### Declaration

    public float pin_hover_radius

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_line_thickness

##### Declaration

    public float pin_line_thickness

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_offset

##### Declaration

    public float pin_offset

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_quad_side_length

##### Declaration

    public float pin_quad_side_length

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_triangle_side_length

##### Declaration

    public float pin_triangle_side_length

##### Field Value

Type | Description
--- | ---
System.Single |